//+---------------------------------------------------------+
//| Trendtraffic signals.mq4 
//| Perky
//+------------------------------------------------------------------+
#property  copyright "Author - Perky Aint no Porky"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_width1 2
#property indicator_color2 Red
#property indicator_width2 2

//---- input parameters
extern int High_Period_Comparison=30;
extern int FastEMA=10,SlowEMA=16;
extern double RedZone=0.5;
extern int CountBars=350;
extern double Upper=0.000; // set to 0.0003 to use TT upper filter
extern double Lower=0.000; // set to -0.0003 to use TT Lower filter

extern int SignalCandle=0; // set to 1 for close of candle


//---- buffers
double val1[];
double val2[];
double rsib4,rsinow;
double TTb4,TT;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;
//---- indicator line
   IndicatorBuffers(2);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,108);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,108);
   SetIndexBuffer(0,val1);
   SetIndexBuffer(1,val2);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| AltrTrend_Signal_v2_2                                            |
//+------------------------------------------------------------------+
int start()
  {   
  // if (CountBars>=500) CountBars=500;
  // SetIndexDrawBegin(0,500-CountBars);
  // SetIndexDrawBegin(1,500-CountBars);
  int i,shift,counted_bars=IndicatorCounted();


   //---- check for possible errors
  // if(counted_bars<0) return(-1);

   //---- initial zero
  // if(counted_bars<1)
   //  {
    //  for(i=1;i<=CountBars;i++) val1[CountBars-i]=0.0;
    //  for(i=1;i<=CountBars;i++) val2[CountBars-i]=0.0;
    // } 

for ( shift = CountBars; shift>=0; shift--) 
{ 

    TT=  iCustom(Symbol(),Period(),"Trend_Traffic", High_Period_Comparison,FastEMA,SlowEMA,0.5,4,SignalCandle+shift)*1000;
  TTb4=  iCustom(Symbol(),Period(),"Trend_Traffic", High_Period_Comparison,FastEMA,SlowEMA,0.5,4,SignalCandle+shift+1)*1000;

 	   val1[shift]=0;
		val2[shift]=0;

if ( TTb4> Upper*1000 && TT< Upper*1000 && TT <0.00) 
{
	val2[shift]=High[shift]+5*Point;
	//Alert (Symbol()," ",Period(),"M Trend Traffic crossing DOWN");
	

}
 if ( TTb4< Lower*1000 && TT> Lower*1000 && TT>0.00) 

{
		val1[shift]=Low[shift]-5*Point;
	//	Alert (Symbol()," ",Period(),"M Trend Traffic crossing UP");
}


}
   return(0);
  }
//+------------------------------------------------------------------+